Skip to content

GET /v1/candles/:token_id

Returns OHLCV (Open, High, Low, Close, Volume) price candles for a market token. Built from live settlement data.

ParameterTypeDescription
token_idstringPolymarket CLOB token identifier
ParameterTypeDefaultDescription
resolutionstring"1h"Candle resolution: 1m, 5m, 15m, 1h, 4h, 1d
limitinteger100Max candles to return. Max 1000.
Terminal window
curl -s "https://polynode.dev/v1/candles/21742633...?resolution=1h&limit=24" \
-H "x-api-key: pn_live_YOUR_KEY"
{
"token_id": "21742633...",
"question": "Will Bitcoin hit $100K in 2026?",
"slug": "bitcoin-100k-2026",
"resolution": "1h",
"count": 24,
"candles": [
{
"timestamp": 1709136000,
"open": 0.68,
"high": 0.71,
"low": 0.67,
"close": 0.70,
"volume": 2150.00,
"trade_count": 18
},
{
"timestamp": 1709139600,
"open": 0.70,
"high": 0.74,
"low": 0.69,
"close": 0.72,
"volume": 3420.00,
"trade_count": 24
}
]
}
FieldTypeDescription
resolutionstringThe candle resolution
countintegerNumber of candles returned
candles[].timestampintegerCandle open time (Unix seconds)
candles[].opennumberOpening price
candles[].highnumberHighest price
candles[].lownumberLowest price
candles[].closenumberClosing price
candles[].volumenumberTotal volume in USD
candles[].trade_countintegerNumber of trades in the candle
ResolutionDescription
1m1 minute
5m5 minutes
15m15 minutes
1h1 hour (default)
4h4 hours
1d1 day
StatusDescription
400Invalid resolution value